Bug 516820 (CVE-2009-2719) - CVE-2009-2719 JDK DoS with crafted .jnlp file
Summary: CVE-2009-2719 JDK DoS with crafted .jnlp file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2009-2719
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://web.nvd.nist.gov/view/vuln/det...
Whiteboard: source=cve,public=20090811,reported=2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-11 15:42 UTC by Marc Schoenefeld
Modified: 2019-06-08 12:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-21 23:39:16 UTC


Attachments (Terms of Use)

Description Marc Schoenefeld 2009-08-11 15:42:10 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-2719 to the following vulnerability:

The Java Web Start implementation in Sun Java SE 6 before Update 15 allows context-dependent attackers to cause a denial of service (NullPointerException) via a crafted .jnlp file, as demonstrated by the jnlp_file/appletDesc/index.html#misc test in the Technology Compatibility Kit (TCK) for the Java Network Launching Protocol (JNLP). 

http://java.sun.com/javase/6/webnotes/6u15.html


Note You need to log in before you can comment on or make changes to this bug.